Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525296 - virtual/mysql-5.6-r2, dev-db/mysql-5.6.22, dev-db/mariadb-10.0.15-r1 stable request
Summary: virtual/mysql-5.6-r2, dev-db/mysql-5.6.22, dev-db/mariadb-10.0.15-r1 stable r...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords: STABLEREQ
: 525292 525294 (view as bug list)
Depends on:
Blocks: 525298 CVE-2014-6568
  Show dependency tree
 
Reported: 2014-10-13 15:37 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2015-02-16 10:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2014-10-13 15:37:15 UTC
virtual/mysql-5.6-r2 stabilization is needed due to multilib.
Comment 1 Pacho Ramos gentoo-dev 2014-11-30 22:00:23 UTC
Any problem with CCing arches in a week or so?
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2015-01-13 02:15:52 UTC
Transforming the bugs into one to stable them together.
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2015-01-13 02:17:00 UTC
*** Bug 525294 has been marked as a duplicate of this bug. ***
Comment 4 Brian Evans Gentoo Infrastructure gentoo-dev 2015-01-13 02:17:26 UTC
*** Bug 525292 has been marked as a duplicate of this bug. ***
Comment 5 Brian Evans Gentoo Infrastructure gentoo-dev 2015-01-13 02:27:30 UTC
I think everything is ready to go.

Arches, please test and mark stable.

Target keywords

dev-db/mariadb-10.0.15-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
dev-db/mysql-5.6.22       alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
virtual/mysql-5.6-r2      alpha amd64 arm hppa ia64 ppc ppc64 sparc x86

# Official test instructions:
# USE='-cluster embedded extraengine perl ssl static-libs community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild ${PF}.ebuild \
# digest clean package

(virtual has no tests of course)

You may also set the env var MTR_PARALLEL (default:auto; parse from /proc/cpuinfo) to run tests in parallel threads up to the env var MTR_MAX_PARALLEL(default:8)
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2015-01-17 12:35:53 UTC
Stable for HPPA.
Comment 7 Markus Meier gentoo-dev 2015-01-22 18:45:03 UTC
arm stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-01-24 16:29:38 UTC
@multilib:


RepoMan scours the neighborhood...
>>> Creating Manifest for /home/zlogene/gentoo-x86/dev-db/mariadb
  dependency.bad                20
   dev-db/mariadb/mariadb-10.0.15-r1.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/openssl-1.0.0:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?]', '>=sys-libs/zlib-1.2.3:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?]', 'dev-libs/libedit:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=dev-libs/libpcre-8.35:3=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-01-24 17:08:28 UTC
amd64 stable.

Multilib issues were fixed by mgorny.
Comment 10 Agostino Sarubbo gentoo-dev 2015-01-24 20:43:33 UTC
ppc and ppc64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2015-01-25 10:19:42 UTC
x86 and sparc stable.
Comment 12 Linubie 2015-01-25 11:07:24 UTC
emerge --info
Portage 2.2.14 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.3, glibc-2.19-r1, 3.17.7-gentoo x86_64)
=================================================================
System uname: Linux-3.17.7-gentoo-x86_64-AMD_Phenom-tm-_II_X4_925_Processor-with-gentoo-2.2
KiB Mem:     8177780 total,   6029856 free
KiB Swap:     819196 total,    819196 free
Timestamp of tree: Sun, 25 Jan 2015 10:15:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.18.2-r2
dev-lang/python:          2.7.9-r1, 3.3.5-r1, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.13.4
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.4
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo steam-overlay abendbrot x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/steam /var/lib/layman/abendbrot /usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 3ds X a52 aac aalib accessibility acl acpi aim alsa amd64 apm avx berkdb bindist blender bluetooth branding bzip2 cairo cdda cddb cdinstall cdparanoia cdr clamav cli cracklib crypt css cubs cuda cxx dbus declarative dri dts dv dvd dvdnav dvdr emboss encode exif expat fam ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gd gdbm gif gimp git glamor gnutls gpg gphoto2 gpm gstreamer gtk gzip hddtemp iconv icq ieee1394 imagemagick imlib ipv6 jabber jack joystick jpeg jpeg2k kde kerberos kipi ladspa lame latex lcms libcaca libkms libnotify libsamplerate lm_sensors lua lua-cairo lua-imlib lzo mad mikmod mmap mms mmx mmxext mng mod modplug modules motif mozilla mp3 mp4 mpeg mpi mplayer msn multilib musepack mysql ncurses nls nptl nsplugin nvidia ofx ogg openal openexr opengl openmp oscar oss pam pango pcre pdf perl phonon plasma png policykit ppds python qt3support qt4 quicktime raw rdesktop readline scanner sdl sdl-sound seamonkey semantic-desktop session slp sndfile snmp soprano sound sox speex spell sql sqlite sse sse2 ssl startup-notification svg symlink syslog systemd szip taglib tcl tcpd theora threads tiff timidity truetype udev udisks udissk unicode unzip upower usb v4l vcd vdpau videos vnc vorbis wavpack wmf wxwidgets x264 xcb xcomposite xft xine xinerama xml xmp xosd xpm xscreensaver xv xvid yahoo zlib" ABI_X86="64" ALSA_CARDS="emu10k1" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nv nvidia v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


!!! The ebuild selected to satisfy "=dev-db/mariadb-10.0*[embedded=,minimal=,static=,static-libs=,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]" has unmet requirements.
- dev-db/mariadb-10.0.15-r1::gentoo USE="community pam perl ssl xml -cluster -debug -embedded -extraengine -jemalloc -latin1 -max-idx-128 -minimal -odbc -oqgraph -profiling (-selinux) -sphinx -static -static-libs -systemtap -tcmalloc -test -tokudb" ABI_X86="64 -32 -x32"

  The following REQUIRED_USE flag constraints are unsatisfied:
    xml? ( extraengine )

  The above constraints are a subset of the following complete expression:
    odbc? ( extraengine !minimal ) xml? ( extraengine !minimal ) minimal? ( !oqgraph !sphinx ) tokudb? ( jemalloc ) tcmalloc? ( !jemalloc ) jemalloc? ( !tcmalloc ) minimal? ( !cluster !extraengine !embedded ) static? ( !ssl )

(dependency required by "virtual/mysql-5.6-r2" [ebuild])
(dependency required by "media-gfx/digikam-4.4.0-r1[mysql]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
Comment 13 Brian Evans Gentoo Infrastructure gentoo-dev 2015-01-26 01:04:36 UTC
(In reply to Linubie from comment #12)
> !!! The ebuild selected to satisfy
> "=dev-db/mariadb-10.0*[embedded=,minimal=,static=,static-libs=,abi_x86_32(-
> )?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,
> abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-
> )?]" has unmet requirements.
> - dev-db/mariadb-10.0.15-r1::gentoo USE="community pam perl ssl xml -cluster
> -debug -embedded -extraengine -jemalloc -latin1 -max-idx-128 -minimal -odbc
> -oqgraph -profiling (-selinux) -sphinx -static -static-libs -systemtap
> -tcmalloc -test -tokudb" ABI_X86="64 -32 -x32"
> 
>   The following REQUIRED_USE flag constraints are unsatisfied:
>     xml? ( extraengine )
> 

This is not a bug,  please read on how REQUIRED_USE works and set the flag it requests.

In this case it says: "If xml is enabled, extraengine must also be enabled"
Comment 14 Michael Mausolf 2015-01-26 03:09:11 UTC
(In reply to Brian Evans from comment #13)
> This is not a bug,  please read on how REQUIRED_USE works and set the flag
> it requests.
> 
> In this case it says: "If xml is enabled, extraengine must also be enabled"

xml is globally enabled by make.defaults (I think?):

# euse -g -i xml
global use flags (searching: xml)
************************************************************
[+  D   ] xml - Add support for XML files

Shouldn't extraengine be enabled by make.defaults / the profile / whatever too?. ATM users have to manually adjust the useflags to install MariaDB with standard settings.
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-01-26 06:44:32 UTC
(In reply to Michael Mausolf from comment #14)
> (In reply to Brian Evans from comment #13)
> > This is not a bug,  please read on how REQUIRED_USE works and set the flag
> > it requests.
> > 
> > In this case it says: "If xml is enabled, extraengine must also be enabled"
> 
> xml is globally enabled by make.defaults (I think?):
> 
> # euse -g -i xml
> global use flags (searching: xml)
> ************************************************************
> [+  D   ] xml - Add support for XML files
> 
> Shouldn't extraengine be enabled by make.defaults / the profile / whatever
> too?. ATM users have to manually adjust the useflags to install MariaDB with
> standard settings.

Please stop discuss here. This bug is security bug. It's not a good place to discuss what maintainers must to do.
Comment 16 Agostino Sarubbo gentoo-dev 2015-02-16 10:27:22 UTC
ia64 stable
Comment 17 Agostino Sarubbo gentoo-dev 2015-02-16 10:27:58 UTC
alpha stable. Closing.